<div dir="ltr"><br><div class="gmail_extra"><br><br><div class="gmail_quote">On Sun, Aug 11, 2013 at 8:54 PM, Nathaniel Smith <span dir="ltr">&lt;<a href="mailto:njs@pobox.com" target="_blank">njs@pobox.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><p dir="ltr">Should scipy test against numpy master, or should numpy test latest scipy against numpy master? Arguably any time numpy master breaks scipy it&#39;s a bug in numpy, so maybe this should be part of numpy&#39;s .travis.yml instead?</p>
</blockquote><div>Mostly failures are because of the changed test mode for numpy master (&#39;develop&#39; instead of &#39;release&#39;, turning warnings into errors), so I think Blake&#39;s proposal makes sense.<br><br></div>
<div>Testing numpy master against a set of the latest releases of other packages (scipy, scikit-xxx) would also be useful though.<br><br></div><div>Ralf<br><br></div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">


<div class="gmail_quote"><div><div class="h5">On 11 Aug 2013 19:51, &quot;Ralf Gommers&quot; &lt;<a href="mailto:ralf.gommers@gmail.com" target="_blank">ralf.gommers@gmail.com</a>&gt; wrote:<br type="attribution"></div></div>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div><div class="h5">
<div dir="ltr"><br><div class="gmail_extra"><br><br><div class="gmail_quote">On Sun, Aug 11, 2013 at 8:13 PM, Blake Griffith <span dir="ltr">&lt;<a href="mailto:blake.a.griffith@gmail.com" target="_blank">blake.a.griffith@gmail.com</a>&gt;</span> wrote:<br>


<blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir="ltr">Would it be possible to have TravisCI test against NumPy master? Currently it only tests against the latest stable version of NumPy, 1.7.x with various versions of python. If this is possible, it would probably only need to be done with Python 3.3.<div>



<br></div><div>When I test SciPy with NumPy master it seems like something new always broken.</div></div></blockquote><div><br></div><div>That&#39;s a good idea; it requires someone to figure out how to change the .travis.yml config file to do the right thing here. Do you want to have a go at that?<br>


<br>I think we&#39;d want to change the build matrix to something like:<br><br></div><div>    python 2.6, numpy 1.5.1, testmode=full<br></div><div>    python 2.7, numpy 1.5.1, testmode=fast + pep8  # requires change to runtests.py to do pep8 as well<br>


    python 3.3, numpy master, testmode=fast<br><br></div><div>Ralf<br></div></div></div></div>
<br></div></div>_______________________________________________<br>
SciPy-Dev mailing list<br>
<a href="mailto:SciPy-Dev@scipy.org" target="_blank">SciPy-Dev@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/scipy-dev" target="_blank">http://mail.scipy.org/mailman/listinfo/scipy-dev</a><br>
<br></blockquote></div>
<br>_______________________________________________<br>
SciPy-Dev mailing list<br>
<a href="mailto:SciPy-Dev@scipy.org">SciPy-Dev@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/scipy-dev" target="_blank">http://mail.scipy.org/mailman/listinfo/scipy-dev</a><br>
<br></blockquote></div><br></div></div>